-- Mod dependency checker by trackpaduser
--
-- Checks if mod paths exists, and tells user to download the required mods if it doesn't

local M = {}
M.type = "auxiliary"
M.relevantDevice = nil
local modList = ""
local test = ""
local mods = nil

local function init(jbeamData)
	local modList = ""
	mods = tableFromHeaderTable(jbeamData.mods)
	for _, i in pairs(mods) do
		test = FS:directoryExists(i.modPath) or "false"
		if test == "false" then
			modList = modList .. i.modName .. "\n"
		else
			print("Required mod installed")
		end
	end
	if modList ~= "" then
		guihooks.message("This mods requires the following mod(s) to function properly :\n"..modList.."Please download them from the repository",99999,"TEST")
	end
end

-- at the end of the lua as always
M.init = init
return M